- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::Context Class Reference

An openssl context wrapper. More...

## Public Member Functions
| Context (const std::string &pem_file=std::string(), unsigned int flags=0U)
| ~Context ()
SSL_CTX * | p () const

## Detailed Description

An openssl context wrapper.

Definition at line 65 of file gssl_openssl.cpp.

## Constructor & Destructor Documentation

GSsl::Context::Context | ( | const std::string & | pem_file = `std::string()`,
|  | unsigned int | flags = `0U`
| ) |  |
| explicit

Definition at line 291 of file gssl_openssl.cpp.

GSsl::Context::~Context | ( |  | ) |

Definition at line 322 of file gssl_openssl.cpp.

## Member Function Documentation

SSL_CTX * GSsl::Context::p | ( |  | ) | const

Definition at line 327 of file gssl_openssl.cpp.

Referenced by GSsl::ProtocolImp::ProtocolImp().

The documentation for this class was generated from the following file:

- gssl_openssl.cpp